@#define steady = 0

@#ifndef ISJULIA
@#define ISJULIA=false
@#endif

@#ifndef BLOCKS
@#define BLOCKS=false
@#endif

@#ifndef BYTECODE
@#define BYTECODE=false
@#endif

@#ifndef USE_DLL
@#define USE_DLL=false
@#endif

@#ifndef MFS_VALUE
@#define MFS_VALUE = 0
@#endif

@#ifndef STATIC_MFS_VALUE
@#define STATIC_MFS_VALUE = 0
@#endif

@#ifndef CUTOFF_VALUE
@#define CUTOFF_VALUE = 0
@#endif

@#ifndef PERIODS
@#define PERIODS = 200
@#endif

@#ifndef MARKOWITZ_VALUE
@#define MARKOWITZ_VALUE=0.5
@#endif

@#ifndef STACK_SOLVE_ALGO_VALUE
@#define STACK_SOLVE_ALGO_VALUE=5
@#endif

@#ifndef STEADY_SOLVE_ALGO_VALUE
@#define STEADY_SOLVE_ALGO_VALUE=0
@#endif

@#include "init.mod"

@#include "symdecls.mod"

@#include "modeqs.mod"

@#if !ISJULIA

for i=1:@{ITERATIONS}

load_params_and_steady_state('eagle_steady.txt');

initval;
@#include "initial-condition.inc"
end;

shocks;

  var EAB_epsg;
  periods 1:4;
  values 0.01;

  var EAA_epsg;
  periods 1:4;
  values 0.01;

  var RW_epsg;
  periods 1:4;
  values 0.01;

  var US_epsg;
  periods 1:4;
  values 0.01;

  var CH_epsg;
  periods 1:4;
  values 0.01;

  var JP_epsg;
  periods 1:4;
  values 0.01;

  var LAC_epsg;
  periods 1:4;
  values 0.01;

end;

perfect_foresight_setup(periods=@{PERIODS});
perfect_foresight_solver(no_homotopy, markowitz=@{MARKOWITZ_VALUE}, stack_solve_algo = @{STACK_SOLVE_ALGO_VALUE}, solve_algo = @{STEADY_SOLVE_ALGO_VALUE});

end;

@#else

load_params_and_steady_state('eagle_steady.txt');

initval;
@#include "initial-condition.inc"
end;

shocks;

  var EAB_epsg;
  periods 1:4;
  values 0.01;

  var EAA_epsg;
  periods 1:4;
  values 0.01;

  var RW_epsg;
  periods 1:4;
  values 0.01;

  var US_epsg;
  periods 1:4;
  values 0.01;

  var CH_epsg;
  periods 1:4;
  values 0.01;

  var JP_epsg;
  periods 1:4;
  values 0.01;

  var LAC_epsg;
  periods 1:4;
  values 0.01;

end;

@#endif
